This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 429104 - scim-anthy (kanji/kana) input regression
scim-anthy (kanji/kana) input regression
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 06:04 EST by Dominik 'Rathann' Mierzejewski
Modified: 2008-11-26 05:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 05:51:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-01-17 06:04:43 EST
(Related to bug 295331.)

2.8.4-6.fc7/fc8 breaks scim-anthy for me. I could correct the
converted-but-not-committed string with cursor keys (up/down) before, but now,
if I press up or down I just move backward or forward in irc input history.
Rolling back to 2.8.4-5 fixes this for me, so please don't delete that build
from koji until this is fixed.
Comment 1 Kevin Kofler 2008-01-17 15:55:35 EST
Currently 2.8.4-5.fc[78] aren't even marked for deletion.

But what we should really do is fix the bug in a satisfactory way. :-( The 
patch which was in 2.8.4-5 fixed some things and broke others. That sucks. :-(
Comment 2 Kevin Kofler 2008-02-11 18:18:16 EST
From https://bugzilla.redhat.com/show_bug.cgi?id=295331#c33 (Dominik 'Rathann' 
Mierzejewski):
> 2.8.4-11 is still broken, but differently:
> I still can't choose between various anthy's matches using up/down, but it I
> don't move backward or forward in irc input history anymore when in anthy
> mode.

This is very strange, I don't see why the breakage would be any different than 
in 2.8.4-6 because we didn't change anything related to input methods.
Comment 3 Jens Petersen 2008-05-01 01:14:51 EDT
This is looks ok with current pre-F9 rawhide
which has xchat-2.8.4-15.fc9.
Comment 4 Kevin Kofler 2008-05-01 01:18:42 EDT
Nothing changed in xchat which would have fixed this, this must have been fixed 
by some change in some other package.
Comment 5 Dominik 'Rathann' Mierzejewski 2008-05-02 08:48:40 EDT
Confirmed fixed on F9 and F8. Problem still exists on F7. Could be a scim
problem, because F7's scim is 1.4.5, while F8 and F9 have 1.4.7.
Comment 6 Dominik 'Rathann' Mierzejewski 2008-05-02 14:18:13 EDT
I'm not sure it's scim. After rebuilding F8's scim src.rpm (1.4.7-7), there's no
change in behaviour. However, there's one more detail. Up/Down arrows work
everywhere except in xchat, but there are other keys that switch to next match
(tab, space, KP_Add, etc.) and these work. Only arrows don't and the problem
seems to be limited to F7.
Comment 7 Bug Zapper 2008-05-14 11:15:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Dominik 'Rathann' Mierzejewski 2008-06-02 17:32:15 EDT
OK, this is really weird. I've just upgraded my desktop from F-7 to F-8 and the
bug still appears! Looks like it's related to my local configuration, but I
can't find anything substantially different between my desktop and my laptop.
Any idea where to look?
Comment 9 Jens Petersen 2008-07-31 02:00:07 EDT
Can you reproduce on that machine with a new user or fresh config?
Comment 10 Dominik 'Rathann' Mierzejewski 2008-08-13 14:51:10 EDT
(In reply to comment #9)
> Can you reproduce on that machine with a new user or fresh config?

I'm 200km away from my desktop which exhibits this problem, and I'll be unable to check for up to two more weeks (I'm on vacation).
Comment 11 Dominik 'Rathann' Mierzejewski 2008-08-20 10:55:48 EDT
(In reply to comment #9)
> Can you reproduce on that machine with a new user or fresh config?

Yes. I've created a new user account, logged into it, enabled SCIM and ran X-Chat after re-logging. The problem still exists.
Comment 12 Tony Fu 2008-09-09 23:08:29 EDT
requested by Jens Petersen (#27995)
Comment 13 Dominik 'Rathann' Mierzejewski 2008-09-29 17:42:31 EDT
I've upgraded my desktop to F-9 and I can no longer reproduce the problem. Feel free to close, because I can provide no further input (no systems with F-8 at hand anymore).
Comment 14 Bug Zapper 2008-11-26 04:27:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.